# 🤝 Contributing to ConfigFlow

Thank you for your interest in contributing to **ConfigFlow**! We welcome contributions from everyone.

---

## 🚀 Getting Started

1. **Fork the Repository**  
   Click the **"Fork"** button on GitHub.

2. **Clone Your Fork**

   ```bash
   git clone https://github.com/your-username/configflow.git
   cd configflow
   ```

3. **Install Dependencies**

   ```bash
   pip install -e .[dev]
   ```

4. **Run Tests**

   ```bash
   pytest
   ```

5. **Build Docs**

   ```bash
   cd docs
   make html
   ```

---

## 🛠️ How to Contribute

- **🐛 Bug Fixes**: Check [issues](https://github.com/your-username/configflow/issues) or report new ones.
- **✨ New Features**: Suggest ideas via [issues](https://github.com/your-username/configflow/issues) or GitHub Discussions.
- **📦 Parsers**: Add support for new config formats (e.g., TOML, INI).
- **📝 Docs**: Improve Sphinx documentation in `docs/source/`.

---

## 🧹 Code Style

- Follow **PEP 8**.
- Use **type hints** wherever possible.
- Write **unit tests** for any new features.
- Use **Google-style** docstrings for public APIs.

---

## 📚 Documentation

Docs are built using **Sphinx**.  
To edit or improve documentation:

```bash
cd docs
make html
```

Edit `.rst` or `.md` files inside `docs/source/`.

---

## ✅ Submitting Changes

1. **Create a branch**

   ```bash
   git checkout -b feature/your-feature
   ```

2. **Commit your changes**

   ```bash
   git commit -m "Add your feature"
   ```

3. **Push to your fork**

   ```bash
   git push origin feature/your-feature
   ```

4. **Open a Pull Request** on GitHub.

---

## ❓ Questions?

Join our GitHub Discussions or open an [issue](https://github.com/your-username/configflow/issues).

---

Thank you for contributing! ❤️
